> # NAME

> texBUF - performs an unfiltered texture lookup in a given texture buffer sampler.

> # SYNOPSIS

>       float4 texBUF(samplerBUF samp, int s)

>       int4 texBUF(isamplerBUF samp, int s)

>       unsigned int4 texBUF(usamplerBUF samp, int s)

> # PARAMETERS

> samp

>   Sampler to lookup.

> s

>   Coordinates to perform the lookup.

> # DESCRIPTION

> Performs an unfiltered texture lookup in texture buffer sampler samp using coordinates s.

> Texture buffer samplers are created with the EXT_texture_buffer_object extension. See:

>       developer.download.nvidia.com/opengl/specs/GL_EXT_texture_buffer_object.txt

> Texture buffer object samplers roughly correspond to the tbuffer functionality of DirectX 10.

> # PROFILE SUPPORT

> texBUF is supported in gp4vp, gp4gp, and gp4fp profiles.

> # SEE ALSO

> tex1D, texBUFsize